/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbResourceItemObj {

    // リソースアイテム ID
    private long resource_item_id;
    // リソース ID
    private long resource_id;
    // 名前空間
    private String namespace;
    // 名前空間URL
    private String namespace_url;
    // アイテム名
    private String item_name;
    // アイテム値
    private String item_value;

    /**
     * @return item_name
     */
    protected String getItem_name() {
        return item_name;
    }

    /**
     * @param item_name 設定する item_name
     */
    protected void setItem_name(String item_name) {
        this.item_name = item_name;
    }

    /**
     * @return item_value
     */
    protected String getItem_value() {
        return item_value;
    }

    /**
     * @param item_value 設定する item_value
     */
    protected void setItem_value(String item_value) {
        this.item_value = item_value;
    }

    /**
     * @return namespace
     */
    protected String getNamespace() {
        return namespace;
    }

    /**
     * @param namespace 設定する namespace
     */
    protected void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    /**
     * @return namespace_url
     */
    protected String getNamespace_url() {
        return namespace_url;
    }

    /**
     * @param namespace_url 設定する namespase_url
     */
    protected void setNamespace_url(String namespace_url) {
        this.namespace_url = namespace_url;
    }

    /**
     * @return resource_id
     */
    protected long getResource_id() {
        return resource_id;
    }

    /**
     * @param resource_id 設定する resource_id
     */
    protected void setResource_id(long resource_id) {
        this.resource_id = resource_id;
    }

    /**
     * @return resource_item_id
     */
    protected long getResource_item_id() {
        return resource_item_id;
    }

    /**
     * @param resource_item_id 設定する resource_item_id
     */
    protected void setResource_item_id(long resource_item_id) {
        this.resource_item_id = resource_item_id;
    }
}